PDA

View Full Version : [lubuntu] install ffmpeg in r19000-version not github...



adam42
May 27th, 2011, 11:07 AM
hi there

I have installed ffmpeg via github on a ubuntu 11.04-machine.

An application - ClipBucket - require ffmpeg version r19000...

When doin a ffmpeg -version I get the following:



ffmpeg version git-N-29993-ga4b6000, Copyright (c) 2000-2011 the FFmpeg developers
built on May 26 2011 04:30:20 with gcc 4.5.2
configuration: --enable-gpl --enable-version3 --enable-nonfree --enable-postproc --enable-libfaac --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libtheora --enable-libvorbis --enable-libx264 --enable-libxvid --enable-x11grab
libavutil 51. 2. 1 / 51. 2. 1
libavcodec 53. 6. 0 / 53. 6. 0
libavformat 53. 1. 0 / 53. 1. 0
libavdevice 53. 0. 0 / 53. 0. 0
libavfilter 2. 5. 0 / 2. 5. 0
libswscale 0. 14. 0 / 0. 14. 0
libpostproc 51. 2. 0 / 51. 2. 0
ffmpeg git-N-29993-ga4b6000
libavutil 51. 2. 1 / 51. 2. 1
libavcodec 53. 6. 0 / 53. 6. 0
libavformat 53. 1. 0 / 53. 1. 0
libavdevice 53. 0. 0 / 53. 0. 0
libavfilter 2. 5. 0 / 2. 5. 0
libswscale 0. 14. 0 / 0. 14. 0
libpostproc 51. 2. 0 / 51. 2. 0


How do I install ffmpeg version r19000 instead?

Cheers
Adam

ron999
May 27th, 2011, 01:15 PM
An applæiocation - ClipBucket - require ffmpeg version r19000...


Hi
ClipBucket probably needs FFmpeg r19000 or greater.
So your version from github "built on May 26 2011" should be OK.

adam42
May 27th, 2011, 01:44 PM
You are right -


Hi
ClipBucket probably needs FFmpeg r19000 or greater.
So your version from github "built on May 26 2011" should be OK.

- the problem is that according to the system check up it isn't good enough because it is not a r-version...

How can I 'trick' the system to make it a r-version?

Cheers
Adam

adam42
June 14th, 2011, 11:55 AM
No one can help me ?

Cheers
Adam

FakeOutdoorsman
June 14th, 2011, 07:58 PM
Tell the clipbucket author to update the FFmpeg check. Or you could try it yourself. Maybe lines 75 and/or 78 of upload/cb_install/functions.php are what you need to change (I didn't look at this in detail). Of course this won't address any changes to the FFmpeg commands since r19000.

FFmpeg development is very active and r19000 is ancient (May 2009). As of now there have been 11773 updates to FFmpeg since r19000.